API Documentation | All Packages | All Classes | Index | Frames No Frames |
ClosableTab

Package | ch.unil.cbg.ExpressionView.view.components
Class | public class ClosableTab
Inheritance | ClosableTab mx.controls.tabBarClasses.Tab

Public Properties

| Property | Defined By
--- | --- | ---
|  | enableClose : String | ClosableTab

Public Methods

| Method | Defined By
--- | --- | ---
|  | ClosableTab() | ClosableTab

Protected Methods

| Method | Defined By
--- | --- | ---
|  | createChildren():void [override] | ClosableTab
|  | rollOutHandler(event:MouseEvent):void [override] | ClosableTab
|  | rollOverHandler(event:MouseEvent):void [override] | ClosableTab
|  | updateDisplayList(unscaledWidth:Number, unscaledHeight:Number):void [override] | ClosableTab

Public Constants

| Constant | Defined By
--- | --- | ---
|  | ALWAYS : String = always [static] | ClosableTab
|  | CLOSE_TAB_EVENT : String = closeTab [static] | ClosableTab
|  | NEVER : String = never [static] | ClosableTab
|  | ROLLOVER : String = rollover [static] | ClosableTab

Property Detail

enableClose | property

`enableClose:String`

Implementation
`public function get enableClose():String`
`public function set enableClose(value:String):void`
Constructor Detail

ClosableTab | () | Constructor

`public function ClosableTab()`

Method Detail

createChildren | () | method

`override protected function createChildren():void`

rollOutHandler | () | method |

`override protected function rollOutHandler(event:MouseEvent):void`

Parameters

| `event:MouseEvent`

rollOverHandler | () | method |

`override protected function rollOverHandler(event:MouseEvent):void`

Parameters

| `event:MouseEvent`

updateDisplayList | () | method |

`override protected function updateDisplayList(unscaledWidth:Number, unscaledHeight:Number):void`

Parameters

| `unscaledWidth:Number`
| `unscaledHeight:Number`

Constant Detail

ALWAYS | Constant

`public static const ALWAYS:String = always`

CLOSE_TAB_EVENT | Constant |

`public static const CLOSE_TAB_EVENT:String = closeTab`

NEVER | Constant |

`public static const NEVER:String = never`

ROLLOVER | Constant |

`public static const ROLLOVER:String = rollover`

Mon Oct 17 2011, 09:13 PM -04:00